package com.unis.detectionnum.server.service;

import java.util.List;

import com.unis.detectionnum.common.vo.DCfxxsjyVO;
import com.unis.detectionnum.common.vo.MenuVO;

/**
 * @author huangxing
 * @version 1.0
 * @Title: DCfxxsjyService
 * @ProjectName baseservice
 * @Description: TODO
 * @date 2019/7/22 17:47
 */

public interface DCfxxsjyService {

	/**
	 * 根据参数获取仓房列表
	 * @param dCfxxsjyVO
	 * @return
	 */
	List<DCfxxsjyVO> getDCfxxxsjyList(DCfxxsjyVO dCfxxsjyVO);

	/**
	 * 根据仓房编号获取仓房信息
	 * @param cfbh 仓房编号
	 * @return
	 */
	DCfxxsjyVO getDCfxxxsjyInfo(String cfbh);

	/**
	 * @param dCfxxsjyVO
	 * @param pageNum
	 * @param pageSize
	 * @return 分页获取列表
	 */
	List<DCfxxsjyVO> getDCfxxxsjyPage(DCfxxsjyVO dCfxxsjyVO, Integer pageNum, Integer pageSize);

	/**
	 * 根据仓房编号获取仓房信息
	 * @param cfbh 仓房编号
	 * @return
	 */
	DCfxxsjyVO getDCfxxxsjyInfoBycfbh(String cfbh);

	/**
	 * 更新仓房信息
	 * @param dCfxxsjyVO
	 * @return
	 */
	int update(DCfxxsjyVO dCfxxsjyVO);

	/**
	 * 带状态更新
	 * @param dCfxxsjyVO
	 * @return
	 */
	int warehouseUpdate(DCfxxsjyVO dCfxxsjyVO);

	/**
	 * 删除仓房信息
	 * @param cfbh
	 * @return
	 */
	int delete(String cfbh);

	/**
	 * 添加仓房信息
	 * @param dAjxxsjyVO
	 * @return
	 */
	int insert(DCfxxsjyVO dAjxxsjyVO);

	/**
	 * 根据库点代码删除仓房信息列表
	 * @param kddm
	 * @return
	 */
	int deleteList(String kddm);

	/**
	 * 根据库点代码获取仓房列表
	 * @param kddm
	 * @return
	 */
	List<DCfxxsjyVO> getWarehouseListByKddm(String kddm);

	/**
	 * 备案主表状态
	 * @param dCfxxsjyVO
	 * @return
	 */
	int updateFiling(DCfxxsjyVO dCfxxsjyVO);

	/** 
	 * @Title: getMenuList 
	 * @Description: TODO
	 * @param kdmc
	 * @return List<MenuVO>
	 * @throws 
	 */
	List<MenuVO> getMenuList(String userCode);
}
